Bug 791009 - in Server, Agent, and CLI launch scripts, use the -z and -n options to the 'test' builtin command to check if variable have non-zero values or not
in Server, Agent, and CLI launch scripts, use the -z and -n options to the 't...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Launch Scripts (Show other bugs)
4.2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-15 17:27 EST by Ian Springer
Modified: 2015-02-01 18:27 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 03:49:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-02-15 17:27:49 EST
For example:

if [ -z "$foo" ]; then

if [ -n "$foo" ]; then

This is more straightforward and readable than the syntax currently used in most places, e.g.:

if [ "x$foo" = "x" ]; then ...

if [ "x$foo" != "x" ]; then ...
Comment 4 Heiko W. Rupp 2013-09-04 03:49:29 EDT
Bulk closing of some old issues

Note You need to log in before you can comment on or make changes to this bug.